# Oro\Bundle\CatalogBundle\Entity\Category

## ACTIONS

### get

Retrieve a specific category record.

{@inheritdoc}

### get_list

Retrieve a collection of category records.

The list of records that will be returned, could be limited by filters.

{@inheritdoc}

## SUBRESOURCES

### backOrder

#### get_subresource

Retrieve the service records that store the category backorder data.

#### get_relationship

Retrieve the ID's of service records that store the category backorder data.

### childCategories

#### get_subresource

Retrieve the child category records assigned to a specific category record.

#### get_relationship

Retrieve the IDs of the child category records assigned to a specific category record.

### decrementQuantity

#### get_subresource

Retrieve the service records that store the category decrement quantity data.

#### get_relationship

Retrieve the ID's of service records that store the category decrement quantity data.

### inventoryThreshold

#### get_subresource

Retrieve the service records that store the category inventory threshold data.

#### get_relationship

Retrieve the ID's of service records that store the category inventory threshold data.

### isUpcoming

#### get_subresource

Retrieve the service records that products from this category will be available later

#### get_relationship

Retrieve the ID's of service records that products from this category will be available later

### largeImage

#### get_subresource

Retrieve a record of large image assigned to a specific category record.

#### get_relationship

Retrieve ID of large image records assigned to a specific category record.

### longDescriptions

#### get_subresource

Retrieve the service records that store the category long descriptions localized data.

#### get_relationship

Retrieve the ID's of service records that store the category long descriptions localized data.

### manageInventory

#### get_subresource

Retrieve the service records that store the category manage inventory data.

#### get_relationship

Retrieve the ID's of service records that store the category manage inventory data.

### maximumQuantityToOrder

#### get_subresource

Retrieve the service records that store the category maximum quantity to order data.

#### get_relationship

Retrieve the ID's of service records that store the category maximum quantity to order data.

### metaDescriptions

#### get_subresource

Retrieve the service records that store the category meta descriptions localized data.

#### get_relationship

Retrieve the ID's of service records that store the category meta descriptions localized data.

### metaKeywords

#### get_subresource

Retrieve the service records that store the category meta keywords localized data.

#### get_relationship

Retrieve the ID's of service records that store the category meta keywords localized data.

### metaTitles

#### get_subresource

Retrieve the service records that store the category meta titles localized data.

#### get_relationship

Retrieve the ID's of service records that store the category meta titles localized data.

### minimumQuantityToOrder

#### get_subresource

Retrieve the service records that store the category minimum quantity to order data.

#### get_relationship

Retrieve the ID's of service records that store the category minimum quantity to order data.

### shortDescriptions

#### get_subresource

Retrieve the service records that store the category short descriptions data.

#### get_relationship

Retrieve the ID's of service records that store the category short descriptions data.

### slugPrototypes

#### get_subresource

Retrieve the service records that store the category slug prototypes data.

#### get_relationship

Retrieve the ID's of service records that store the category slug prototypes data.

### titles

#### get_subresource

Retrieve the service records that store the category titles data.

#### get_relationship

Retrieve the ID's of service records that store the category titles data.

### products

#### get_subresource

Retrieve a records of product assigned to a specific category record.

#### get_relationship

Retrieve IDs of product records assigned to a specific category record.

### smallImage

#### get_subresource

Retrieve a record of small image assigned to a specific category record.

#### get_relationship

Retrieve ID of small image records assigned to a specific category record.

### parentCategory

#### get_subresource

Retrieve the parent category records assigned to a specific category record.

#### get_relationship

Retrieve the IDs of the patent category records assigned to a specific category record.

### highlightLowInventory

#### get_subresource

Retrieve the service records that store the category highlight low inventory data.

#### get_relationship

Retrieve the ID's of service records that store the category highlight low inventory data.

### lowInventoryThreshold

#### get_subresource

Retrieve the service records that store the category low inventory threshold data.

#### get_relationship

Retrieve the ID's of service records that store the category low inventory threshold data.
